Bug 459204 - remove references to depricated python-optik to optparse
remove references to depricated python-optik to optparse
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: space02
  Show dependency treegraph
 
Reported: 2008-08-14 18:53 EDT by Mike McCune
Modified: 2009-09-17 03:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2008-08-14 18:53:31 EDT
Our satellite-tools package references optik for it's command line parsing.  Python 2.5 does not include the optik package and is depricated in 2.3 and 2.4.

Going to replace it with optparse.
Comment 1 Mike McCune 2008-08-20 13:29:00 EDT
removed the unneeded try/catch blocks for optparse.
Comment 2 Devan Goodwin 2008-09-05 12:39:00 EDT
Found two references to optik in the source, both as a fallback from an ImportError attempting to use optparse instead.

Considering this verified in spacewalk 0.2.
Comment 3 Kevin Arhelger 2009-05-13 00:37:55 EDT
Also osad on Fedora 10 is broken in same manner, bug 494025.
Comment 4 Miroslav Suchý 2009-09-17 03:00:05 EDT
Spacewalk is released for long time.

Note You need to log in before you can comment on or make changes to this bug.